unit uCheckFileType;

interface

uses
  System.SysUtils, System.Classes, FireDAC.Stan.Intf, FireDAC.Stan.Option, FireDAC.Stan.Param,
  FireDAC.Stan.Error, FireDAC.DatS, FireDAC.Phys.Intf, FireDAC.DApt.Intf, FireDAC.Stan.Async,
  FireDAC.DApt, Data.DB, FireDAC.Comp.DataSet,
  FireDAC.Comp.Client;

type
  TCheckFileType = class(TDataModule)
    qSelectFileExtensionsByType: TFDQuery;
    qIsFolder: TFDQuery;




    { Private declarations }
  public
    { Public declarations }

    constructor Create(AOwner: TComponent); override;

    function IsFolder( Aid:integer):Boolean;
    function IsFileAudio( AFilePath: string): boolean;
    function IsFilePicture( AFilePath: string): boolean;
    function IsFileVideo( AFilePath: string): boolean;
    function IsForbiddenExtensions( AFilePath: string): boolean;





  end;

var
  CheckFileType: TCheckFileType;

implementation

{%CLASSGROUP 'Vcl.Controls.TControl'}

{$R *.dfm}


uses uMainVisualFrame;
var MainVisualFrame_UnitVar:TMainVisualFrame;


{ TConnectedToMainVisualFrame }
constructor TCheckFileType.Create(AOwner: TComponent);
begin
  inherited;

    if (AOwner Is TMainVisualFrame) then
    MainVisualFrame_UnitVar:=(AOwner as TMainVisualFrame)

end;




function TCheckFileType.IsFilePicture( AFilePath: string): boolean;

var Extension:string;


  begin

  Result:=false;
  Extension:=LowerCase(ExtractFileExt(AFilePath));


   with qSelectFileExtensionsByType do begin

   Params.ParamValues['FileType']:='Picture';

    Open();

     while not EOF  do begin

     if FieldByName('FileExtension').AsString=Extension then Result:=true;

     Next();
     end;



    Close();


   end;




  end;



function TCheckFileType.IsFileVideo( AFilePath: string): boolean;

var Extension:string;


  begin


  Result:=false;
  Extension:=LowerCase(ExtractFileExt(AFilePath));


   with qSelectFileExtensionsByType do begin

   Params.ParamValues['FileType']:='Video';

    Open();

     while not EOF  do begin

     if FieldByName('FileExtension').AsString=Extension then Result:=true;

     Next();
     end;



    Close();


   end;


  end;




function TCheckFileType.IsFileAudio( AFilePath: string): boolean;

var Extension:string;


  begin


  Result:=false;
  Extension:=LowerCase(ExtractFileExt(AFilePath));


   with qSelectFileExtensionsByType do begin

   Params.ParamValues['FileType']:='Audio';

    Open();

     while not EOF  do begin

     if FieldByName('FileExtension').AsString=Extension then Result:=true;

     Next();
     end;



    Close();


   end;



  end;



function TCheckFileType.IsFolder( Aid: integer): Boolean;
begin

//

with qIsFolder do begin

  Params.ParamValues['id']:=Aid;

  Open();
  Result:=FieldByName('isFolder').AsBoolean;
  Close();

end;



end;

function TCheckFileType.IsForbiddenExtensions( AFilePath: string): boolean;

var Extension:string;


  begin


    Result:=false;
  Extension:=LowerCase(ExtractFileExt(AFilePath));


   with qSelectFileExtensionsByType do begin

   Params.ParamValues['FileType']:='ForbiddenExtensions';

    Open();

     while not EOF  do begin

     if FieldByName('FileExtension').AsString=Extension then Result:=true;

     Next();
     end;



    Close();


   end;



  end;



end.
