unit uQueries;

interface

uses
  System.SysUtils, System.Classes, FireDAC.Stan.Intf, FireDAC.Stan.Option, FireDAC.Stan.Param, FireDAC.Stan.Error,
  FireDAC.DatS, FireDAC.Phys.Intf, FireDAC.DApt.Intf, FireDAC.Stan.Async, FireDAC.DApt, Data.DB, FireDAC.Comp.DataSet,
  FireDAC.Comp.Client;

type
  TQueries = class(TDataModule)
    qSelectAllFilesOfUser: TFDQuery;
    qSelectCountAllFilesOfUser: TFDQuery;
    qEntrySearch: TFDQuery;
    qSelectCountEntrySearch: TFDQuery;
    qExactSearch: TFDQuery;
    qSelectCountExactSearch: TFDQuery;
  private
    { Private declarations }

    FInitialSQLText_qSelectAllFilesOfUser:String;

    FInitialSQLText_qEntrySearch:String;
    FInitialSQLText_qCountEntrySearch:String;

    FInitialSQLText_qExactSearch:string;
    FInitialSQLText_qCountExactSearch:string;

  public
    { Public declarations }

     constructor Create(AOwner: TComponent); override;

     procedure ConnectAllQueries();

     procedure SetInitialSQLTExt_qEntrySearch(Aname:String);
     procedure SetSelectCount_qEntrySearch(Aname: String);

     procedure SetInitialSQLTExt_qExactSearch(Aname:String);
     procedure SetSelectCount_qExactSearch(Aname: String);

     property InitialSQLText_SelectAllFilesOfUser:String
     read FInitialSQLText_qSelectAllFilesOfUser write FInitialSQLText_qSelectAllFilesOfUser;

     property InitialSQLText_qEntrySearch:String read FInitialSQLText_qEntrySearch write FInitialSQLText_qEntrySearch;
     property InitialSQLText_qCountEntrySearch:String read FInitialSQLText_qCountEntrySearch write FInitialSQLText_qCountEntrySearch;

     property InitialSQLText_qExactSearch:string read FInitialSQLText_qExactSearch write FInitialSQLText_qExactSearch;
     property InitialSQLText_qCountExactSearch:string read FInitialSQLText_qCountExactSearch write FInitialSQLText_qCountExactSearch;

  end;

var
  Queries: TQueries;

implementation

{%CLASSGROUP 'Vcl.Controls.TControl'}

{$R *.dfm}


uses uMainVisualFrame;
var MainVisualFrame_UnitVar:TMainVisualFrame;


{ TConnectedToMainVisualFrame }
procedure TQueries.ConnectAllQueries;
var
  i: Integer;
begin


for i := 0 to Self.ComponentCount-1 do begin

  if (Self.Components[i] is TFDQuery) then
  (Self.Components[i] as TFDQuery).Connection:=MainVisualFrame_UnitVar.FDConnection;


  FInitialSQLText_qSelectAllFilesOfUser:=qSelectAllFilesOfUser.SQL.Text;




end;

end;

constructor TQueries.Create(AOwner: TComponent);
begin
  inherited;

    if (AOwner Is TMainVisualFrame) then
    MainVisualFrame_UnitVar:=(AOwner as TMainVisualFrame);


    ConnectAllQueries;




end;


procedure TQueries.SetInitialSQLTExt_qEntrySearch(Aname: String);
begin
//

  FInitialSQLText_qEntrySearch:=
           'SELECT * FROM coffeetest_db.foldersandfilesonserver'+
         ' where name like'+ '''%'+Aname+'%'''+
         //' and idParent='+VisualFrame_HTTP.idCurrentParent.ToString+//+VisualFrame_HTTP.DataBaseUnit.IDCurrentFolder.ToString+
         ' and users_id=:users_id';//+MainVisualFrame_UnitVar.HTTP_ConnectionParams.IDUser;


end;



procedure TQueries.SetInitialSQLTExt_qExactSearch(Aname: String);
begin

   FInitialSQLText_qExactSearch:=
              'SELECT * FROM coffeetest_db.foldersandfilesonserver'+
         ' where name='+''''+Aname+''''+
         //' and idParent='+VisualFrame_HTTP.idCurrentParent.ToString+//+VisualFrame_HTTP.DataBaseUnit.IDCurrentFolder.ToString+
         ' and users_id=:users_id';//+MainVisualFrame_UnitVar.HTTP_ConnectionParams.IDUser;



end;

procedure TQueries.SetSelectCount_qEntrySearch(Aname: String);
begin
//

  FInitialSQLText_qEntrySearch:=
           'SELECT Count(*) as CountOfRecords FROM coffeetest_db.foldersandfilesonserver'+
         ' where name like'+ '''%'+Aname+'%'''+
         //' and idParent='+VisualFrame_HTTP.idCurrentParent.ToString+//+VisualFrame_HTTP.DataBaseUnit.IDCurrentFolder.ToString+
         ' and users_id=:users_id';//+MainVisualFrame_UnitVar.HTTP_ConnectionParams.IDUser;


end;

procedure TQueries.SetSelectCount_qExactSearch(Aname: String);
begin

   FInitialSQLText_qCountExactSearch:=
              'SELECT Count(*) as CountOfRecords FROM coffeetest_db.foldersandfilesonserver '+
         ' where name='+''''+Aname+''''+
         //' and idParent='+VisualFrame_HTTP.idCurrentParent.ToString+//+VisualFrame_HTTP.DataBaseUnit.IDCurrentFolder.ToString+
         ' and users_id=:users_id';//+MainVisualFrame_UnitVar.HTTP_ConnectionParams.IDUser;




end;

end.
