unit uSearch_DBGalleryViewer;

interface

uses
  System.SysUtils, System.Classes,Vcl.Dialogs;

type
  TSearch_DBGalleryViewer = class(TDataModule)
  private

    { Private declarations }
  public
    { Public declarations }



     constructor Create(AOwner: TComponent); override;

     procedure SetupDBPaginationModuleEntrySearch(Aname:String);
     procedure SetupDBPaginationModuleExactSearch(Aname: String);


  end;

var
  Search_DBGalleryViewer: TSearch_DBGalleryViewer;

implementation

{%CLASSGROUP 'Vcl.Controls.TControl'}

{$R *.dfm}


uses uMainVisualFrame;
var MainVisualFrame_UnitVar:TMainVisualFrame;


{ TConnectedToMainVisualFrame }
constructor TSearch_DBGalleryViewer.Create(AOwner: TComponent);
begin
  inherited;

    if (AOwner Is TMainVisualFrame) then
    MainVisualFrame_UnitVar:=(AOwner as TMainVisualFrame)

end;


procedure TSearch_DBGalleryViewer.SetupDBPaginationModuleEntrySearch(Aname:String);
var
  sortParam: String;
  sortDirection: String;
begin
//

      with MainVisualFrame_UnitVar do begin


          with DBPagination do begin

              // connecting External queries qMain and qMainCount of Records
              qMain.Connection:=Queries.qEntrySearch.Connection;
              Queries.SetInitialSQLTExt_qEntrySearch(Aname); // Setting SQL Request

              qMain.SQL.Text:=Queries.InitialSQLText_qEntrySearch;
              InitialSQLText:=Queries.InitialSQLText_qEntrySearch; // will be changed in process()

                // count Query
              Queries.SetSelectCount_qEntrySearch(Aname);
              qMainCountOfRecords.Connection:=Queries.qEntrySearch.Connection;
              qMainCountOfRecords.SQL.Text:=Queries.InitialSQLText_qEntrySearch;



               // transferring IDUSer value
              IsSomeUser:=true;
              IDUser:=HTTP_ConnectionParams.IDUser.ToInteger;
              AddUsersParamToMainQuery();

             end;

             // sorting
             SortIfNeeded();

            // counting number of pages
            UpdateNumberOfRecords();

      end;





 end;







procedure TSearch_DBGalleryViewer.SetupDBPaginationModuleExactSearch(Aname:String);

begin


//

   with MainVisualFrame_UnitVar do begin


          with DBPagination do begin

              // connecting External queries qMain and qMainCount of Records
              qMain.Connection:=Queries.qExactSearch.Connection;
              Queries.SetInitialSQLTExt_qExactSearch(Aname); // Setting SQL Request

              qMain.SQL.Text:=Queries.InitialSQLText_qExactSearch;
              InitialSQLText:=Queries.InitialSQLText_qExactSearch; // will be changed in process()

                // count Query
              Queries.SetSelectCount_qExactSearch(Aname);
              qMainCountOfRecords.Connection:=Queries.qExactSearch.Connection;
              qMainCountOfRecords.SQL.Text:=Queries.InitialSQLText_qCountExactSearch;



               // transferring IDUSer value
              IsSomeUser:=true;
              IDUser:=HTTP_ConnectionParams.IDUser.ToInteger;
              AddUsersParamToMainQuery();

             end;

             // sorting
             SortIfNeeded();

            // counting number of pages
            UpdateNumberOfRecords();

      end;



end;



end.
