unit uGalleryOfPictureFrames;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes,
  Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs,System.Contnrs,uPictureFrame;

type
  TGalleryOfPictureFrames = class(TFrame)
  private
    { Private declarations }

    FPictureFramesOL:TObjectList;

    FCounterForUnqiueName:integer;

  public
    { Public declarations }

    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;

    property PictureFramesOL:TObjectList read FPictureFramesOL write FPictureFramesOL;

    function AddPictureFrame():integer;

    procedure DisposePicturesOnGalleryFrame;

  end;

implementation

{$R *.dfm}

uses uMainVisualFrame;
var MainVisualFrame_UnitVar:TMainVisualFrame;


{ TGalleryOfPicturesFrames }

function TGalleryOfPictureFrames.AddPictureFrame:integer;
begin

 Result:=FPictureFramesOL.Add( TPictureFrame.Create(Self) );
 TPictureFrame(FPictureFramesOL[FPictureFramesOL.Count-1]).Name:='someUniqueName'+
 FCounterForUnqiueName.ToString;

 Inc(FCounterForUnqiueName);

end;

constructor TGalleryOfPictureFrames.Create(AOwner: TComponent);
begin
  inherited;

    if (AOwner is TMainVisualFrame) then
    MainVisualFrame_UnitVar:=(AOwner as TMainVisualFrame);

    FPictureFramesOL:=TObjectList.Create;
    FPictureFramesOL.OwnsObjects:=True;

    FCounterForUnqiueName:=0;

end;

destructor TGalleryOfPictureFrames.Destroy;
begin

FreeAndNil(FPictureFramesOL);

  inherited;


end;

procedure TGalleryOfPictureFrames.DisposePicturesOnGalleryFrame;
var x,y,PictureWidth,PictureHeight:integer;
    i:Integer;

begin

//Assert(FPictureFramesOL.Count>0,' Fill FPictureFramesOL first! It is empty ');

if FPictureFramesOL.Count=0 then Exit;


   // initial coordinates

   PictureWidth:=TPictureFrame(FPictureFramesOL[0]).Width;
   PictureHeight:=TPictureFrame(FPictureFramesOL[0]).Height;

   x:=-PictureWidth+10;
   y:=1;




   for i := 0 to FPictureFramesOL.Count-1 do begin

    // moving horizontally

    Inc(x,PictureWidth); // adding width

    if x+PictureWidth<Self.ClientWidth then begin

     TPictureFrame(FPictureFramesOL[i]).Left:=x;
     TPictureFrame(FPictureFramesOL[i]).Top:=y;

     TPictureFrame(FPictureFramesOL[i]).Parent:=Self;
     TPictureFrame(FPictureFramesOL[i]).Show;


    end else

    // moving vertically

    // new row
    begin

      x:=10;
      Inc(y,PictureHeight); // adding height

      TPictureFrame(FPictureFramesOL[i]).Left:=x;
      TPictureFrame(FPictureFramesOL[i]).Top:=y;

     TPictureFrame(FPictureFramesOL[i]).Parent:=Self;
     TPictureFrame(FPictureFramesOL[i]).Show;

     Self.Height:=y+PictureHeight+5;



    end;





   end;





end;

end.
